Package org.eclipse.emf.cdo.transfer.spi.ui

## Interface TransferUIProvider

-     public interface TransferUIProvider

  Abstracts the `transfer system`-specific aspects that are needed by a generic transfer user interface.

  Abstracted functionalities include:

  - `Providing labels` for `transfer elements`, see `createLabelProvider()`.
  - Creating transfers for `drag operations`, see `addSupportedTransfers()`, `convertSelection()`.
  - Creating transfers for `drop operations`, see `addSupportedTransfers()`, `convertTransferData()`, `convertTransferTarget()`.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `TransferUIProvider.Factory` | Creates `TransferUIProvider` instances.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addSupportedTransfers​(java.util.List<Transfer> transfers)` |
    `java.lang.Object` | `convertSelection​(IStructuredSelection selection)` |
    `java.util.List<CDOTransferElement>` | `convertTransferData​(java.lang.Object data)` |
    `CDOTransferElement` | `convertTransferTarget​(java.lang.Object target)` |
    `ILabelProvider` | `createLabelProvider​(CDOTransferSystem system)` |

- - ### Method Detail

    - #### createLabelProvider

          ILabelProvider createLabelProvider​(CDOTransferSystem system)

    - #### addSupportedTransfers

          void addSupportedTransfers​(java.util.List<Transfer> transfers)

    - #### convertTransferData

          java.util.List<CDOTransferElement> convertTransferData​(java.lang.Object data)

    - #### convertTransferTarget

          CDOTransferElement convertTransferTarget​(java.lang.Object target)

    - #### convertSelection

          java.lang.Object convertSelection​(IStructuredSelection selection)